org.jboss.shrinkwrap.descriptor.api.connector10

## Interface Resourceadapter<T>

- All Superinterfaces:
    org.jboss.shrinkwrap.descriptor.api.Child<T>

      public interface Resourceadapter<T>
      extends org.jboss.shrinkwrap.descriptor.api.Child<T>

  This interface defines the contract for the `resourceadapter` xsd type

- - ### Property Summary

    All Methods Instance Methods Abstract Methods
    Type | Property and Description
    --- | ---
    `ConfigProperty<Resourceadapter<T>>` | `createConfig` Creates a new `config-property` element
    `Resourceadapter<T>` | `removeAllConfig` Removes all `config-property` elements

  - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `Resourceadapter<T>` | `connectionfactoryImplClass(java.lang.String connectionfactoryImplClass)` Sets the `connectionfactory-impl-class` element
    `Resourceadapter<T>` | `connectionfactoryInterface(java.lang.String connectionfactoryInterface)` Sets the `connectionfactory-interface` element
    `Resourceadapter<T>` | `connectionImplClass(java.lang.String connectionImplClass)` Sets the `connection-impl-class` element
    `Resourceadapter<T>` | `connectionInterface(java.lang.String connectionInterface)` Sets the `connection-interface` element
    `AuthenticationMechanism<Resourceadapter<T>>` | `createAuthenticationMechanism()` Creates a new `authentication-mechanism` element
    `ConfigProperty<Resourceadapter<T>>` | `createConfigProperty()` Creates a new `config-property` element
    `SecurityPermission<Resourceadapter<T>>` | `createSecurityPermission()` Creates a new `security-permission` element
    `java.util.List<AuthenticationMechanism<Resourceadapter<T>>>` | `getAllAuthenticationMechanism()` Returns all `authentication-mechanism` elements
    `java.util.List<ConfigProperty<Resourceadapter<T>>>` | `getAllConfigProperty()` Returns all `config-property` elements
    `java.util.List<SecurityPermission<Resourceadapter<T>>>` | `getAllSecurityPermission()` Returns all `security-permission` elements
    `java.lang.String` | `getConnectionfactoryImplClass()` Returns the `connectionfactory-impl-class` element
    `java.lang.String` | `getConnectionfactoryInterface()` Returns the `connectionfactory-interface` element
    `java.lang.String` | `getConnectionImplClass()` Returns the `connection-impl-class` element
    `java.lang.String` | `getConnectionInterface()` Returns the `connection-interface` element
    `java.lang.String` | `getManagedconnectionfactoryClass()` Returns the `managedconnectionfactory-class` element
    `AuthenticationMechanism<Resourceadapter<T>>` | `getOrCreateAuthenticationMechanism()` If not already created, a new `authentication-mechanism` element will be created and returned.
    `ConfigProperty<Resourceadapter<T>>` | `getOrCreateConfigProperty()` If not already created, a new `config-property` element will be created and returned.
    `SecurityPermission<Resourceadapter<T>>` | `getOrCreateSecurityPermission()` If not already created, a new `security-permission` element will be created and returned.
    `java.lang.String` | `getReauthenticationSupport()` Returns the `reauthentication-support` element
    `java.lang.String` | `getTransactionSupport()` Returns the `transaction-support` element
    `Resourceadapter<T>` | `managedconnectionfactoryClass(java.lang.String managedconnectionfactoryClass)` Sets the `managedconnectionfactory-class` element
    `Resourceadapter<T>` | `reauthenticationSupport(java.lang.String reauthenticationSupport)` Sets the `reauthentication-support` element
    `Resourceadapter<T>` | `removeAllAuthenticationMechanism()` Removes all `authentication-mechanism` elements
    `Resourceadapter<T>` | `removeAllConfigProperty()` Removes all `config-property` elements
    `Resourceadapter<T>` | `removeAllSecurityPermission()` Removes all `security-permission` elements
    `Resourceadapter<T>` | `removeConnectionfactoryImplClass()` Removes the `connectionfactory-impl-class` element
    `Resourceadapter<T>` | `removeConnectionfactoryInterface()` Removes the `connectionfactory-interface` element
    `Resourceadapter<T>` | `removeConnectionImplClass()` Removes the `connection-impl-class` element
    `Resourceadapter<T>` | `removeConnectionInterface()` Removes the `connection-interface` element
    `Resourceadapter<T>` | `removeManagedconnectionfactoryClass()` Removes the `managedconnectionfactory-class` element
    `Resourceadapter<T>` | `removeReauthenticationSupport()` Removes the `reauthentication-support` element
    `Resourceadapter<T>` | `removeTransactionSupport()` Removes the `transaction-support` element
    `Resourceadapter<T>` | `transactionSupport(java.lang.String transactionSupport)` Sets the `transaction-support` element

    - ### Methods inherited from interface org.jboss.shrinkwrap.descriptor.api.Child

      `up`

- - ### Property Detail

    - #### createConfig

          ConfigProperty<Resourceadapter<T>> createConfigProperty

      Creates a new `config-property` element

    - #### removeAllConfig

          Resourceadapter<T> removeAllConfigProperty

      Removes all `config-property` elements

  - ### Method Detail

    - #### connectionfactoryInterface

          Resourceadapter<T> connectionfactoryInterface(java.lang.String connectionfactoryInterface)

      Sets the `connectionfactory-interface` element
      Parameters:
        `connectionfactoryInterface` - the value for the element `connectionfactory-interface`
      Returns:
        the current instance of `Resourceadapter`

    - #### getConnectionfactoryInterface

          java.lang.String getConnectionfactoryInterface()

      Returns the `connectionfactory-interface` element
      Returns:
        the node defined for the element `connectionfactory-interface`

    - #### removeConnectionfactoryInterface

          Resourceadapter<T> removeConnectionfactoryInterface()

      Removes the `connectionfactory-interface` element
      Returns:
        the current instance of `Resourceadapter`

    - #### connectionImplClass

          Resourceadapter<T> connectionImplClass(java.lang.String connectionImplClass)

      Sets the `connection-impl-class` element
      Parameters:
        `connectionImplClass` - the value for the element `connection-impl-class`
      Returns:
        the current instance of `Resourceadapter`

    - #### getConnectionImplClass

          java.lang.String getConnectionImplClass()

      Returns the `connection-impl-class` element
      Returns:
        the node defined for the element `connection-impl-class`

    - #### removeConnectionImplClass

          Resourceadapter<T> removeConnectionImplClass()

      Removes the `connection-impl-class` element
      Returns:
        the current instance of `Resourceadapter`

    - #### managedconnectionfactoryClass

          Resourceadapter<T> managedconnectionfactoryClass(java.lang.String managedconnectionfactoryClass)

      Sets the `managedconnectionfactory-class` element
      Parameters:
        `managedconnectionfactoryClass` - the value for the element `managedconnectionfactory-class`
      Returns:
        the current instance of `Resourceadapter`

    - #### getManagedconnectionfactoryClass

          java.lang.String getManagedconnectionfactoryClass()

      Returns the `managedconnectionfactory-class` element
      Returns:
        the node defined for the element `managedconnectionfactory-class`

    - #### removeManagedconnectionfactoryClass

          Resourceadapter<T> removeManagedconnectionfactoryClass()

      Removes the `managedconnectionfactory-class` element
      Returns:
        the current instance of `Resourceadapter`

    - #### getOrCreateAuthenticationMechanism

          AuthenticationMechanism<Resourceadapter<T>> getOrCreateAuthenticationMechanism()

      If not already created, a new `authentication-mechanism` element will be created and returned. Otherwise, the first existing `authentication-mechanism` element will be returned.
      Returns:
        the instance defined for the element `authentication-mechanism`

    - #### createAuthenticationMechanism

          AuthenticationMechanism<Resourceadapter<T>> createAuthenticationMechanism()

      Creates a new `authentication-mechanism` element
      Returns:
        the new created instance of `AuthenticationMechanism>`

    - #### getAllAuthenticationMechanism

          java.util.List<AuthenticationMechanism<Resourceadapter<T>>> getAllAuthenticationMechanism()

      Returns all `authentication-mechanism` elements
      Returns:
        list of `authentication-mechanism`

    - #### removeAllAuthenticationMechanism

          Resourceadapter<T> removeAllAuthenticationMechanism()

      Removes all `authentication-mechanism` elements
      Returns:
        the current instance of `AuthenticationMechanism>`

    - #### getOrCreateSecurityPermission

          SecurityPermission<Resourceadapter<T>> getOrCreateSecurityPermission()

      If not already created, a new `security-permission` element will be created and returned. Otherwise, the first existing `security-permission` element will be returned.
      Returns:
        the instance defined for the element `security-permission`

    - #### createSecurityPermission

          SecurityPermission<Resourceadapter<T>> createSecurityPermission()

      Creates a new `security-permission` element
      Returns:
        the new created instance of `SecurityPermission>`

    - #### getAllSecurityPermission

          java.util.List<SecurityPermission<Resourceadapter<T>>> getAllSecurityPermission()

      Returns all `security-permission` elements
      Returns:
        list of `security-permission`

    - #### removeAllSecurityPermission

          Resourceadapter<T> removeAllSecurityPermission()

      Removes all `security-permission` elements
      Returns:
        the current instance of `SecurityPermission>`

    - #### connectionfactoryImplClass

          Resourceadapter<T> connectionfactoryImplClass(java.lang.String connectionfactoryImplClass)

      Sets the `connectionfactory-impl-class` element
      Parameters:
        `connectionfactoryImplClass` - the value for the element `connectionfactory-impl-class`
      Returns:
        the current instance of `Resourceadapter`

    - #### getConnectionfactoryImplClass

          java.lang.String getConnectionfactoryImplClass()

      Returns the `connectionfactory-impl-class` element
      Returns:
        the node defined for the element `connectionfactory-impl-class`

    - #### removeConnectionfactoryImplClass

          Resourceadapter<T> removeConnectionfactoryImplClass()

      Removes the `connectionfactory-impl-class` element
      Returns:
        the current instance of `Resourceadapter`

    - #### getOrCreateConfigProperty

          ConfigProperty<Resourceadapter<T>> getOrCreateConfigProperty()

      If not already created, a new `config-property` element will be created and returned. Otherwise, the first existing `config-property` element will be returned.
      Returns:
        the instance defined for the element `config-property`

    - #### createConfigProperty

          ConfigProperty<Resourceadapter<T>> createConfigProperty()

      Creates a new `config-property` element

    - #### getAllConfigProperty

          java.util.List<ConfigProperty<Resourceadapter<T>>> getAllConfigProperty()

      Returns all `config-property` elements
      Returns:
        list of `config-property`

    - #### removeAllConfigProperty

          Resourceadapter<T> removeAllConfigProperty()

      Removes all `config-property` elements

    - #### reauthenticationSupport

          Resourceadapter<T> reauthenticationSupport(java.lang.String reauthenticationSupport)

      Sets the `reauthentication-support` element
      Parameters:
        `reauthenticationSupport` - the value for the element `reauthentication-support`
      Returns:
        the current instance of `Resourceadapter`

    - #### getReauthenticationSupport

          java.lang.String getReauthenticationSupport()

      Returns the `reauthentication-support` element
      Returns:
        the node defined for the element `reauthentication-support`

    - #### removeReauthenticationSupport

          Resourceadapter<T> removeReauthenticationSupport()

      Removes the `reauthentication-support` element
      Returns:
        the current instance of `Resourceadapter`

    - #### connectionInterface

          Resourceadapter<T> connectionInterface(java.lang.String connectionInterface)

      Sets the `connection-interface` element
      Parameters:
        `connectionInterface` - the value for the element `connection-interface`
      Returns:
        the current instance of `Resourceadapter`

    - #### getConnectionInterface

          java.lang.String getConnectionInterface()

      Returns the `connection-interface` element
      Returns:
        the node defined for the element `connection-interface`

    - #### removeConnectionInterface

          Resourceadapter<T> removeConnectionInterface()

      Removes the `connection-interface` element
      Returns:
        the current instance of `Resourceadapter`

    - #### transactionSupport

          Resourceadapter<T> transactionSupport(java.lang.String transactionSupport)

      Sets the `transaction-support` element
      Parameters:
        `transactionSupport` - the value for the element `transaction-support`
      Returns:
        the current instance of `Resourceadapter`

    - #### getTransactionSupport

          java.lang.String getTransactionSupport()

      Returns the `transaction-support` element
      Returns:
        the node defined for the element `transaction-support`

    - #### removeTransactionSupport

          Resourceadapter<T> removeTransactionSupport()

      Removes the `transaction-support` element
      Returns:
        the current instance of `Resourceadapter`

Copyright © 2014 IronJacamar (http://www.ironjacamar.org)